Subject: Re: bug#19200: Point adjustemnt moves *into* invisible text

From: Michael Heerdegen <[email-masked]>
Date: Mon, 21 Mar 2016 16:54:23 +0100

Stefan Monnier <[email-masked]> writes:

> So, yes, point-adjustment needs to be fixed (this is bug#19200), but
> Magit also needs to be fixed anyway (and after that fix, it won't care
> about bug#19200 nearly as much, I think).

What would you suggest?  What would a different case that is not a bug
in Emacs look like?

Just adding something that tries to repair what goes wrong is not
enough.  If cursor movement can end up at a random position inside
invisible text, we would need to reimplement all moving commands, since
we cannot derive from the cursor position what the correct position
would have been.  With other words, I don't see what part of this issue
is specific to Magit.

Michael.